FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 02-19-2009, 11:47 AM
Jaap Boender
 
Default Old bug in ppmtofb is quite important

At the Mancoosi project (http://www.mancoosi.org), we've determined that this
bug causes 1591 other packages not to be installable if ppmtofb is installed
(and vice versa; ppmtofb is not installable if any of those 1591 packages are
installed).

The explanation: since ppmtofb conflicts with any python version strictly
higher than 2.4, any package that depends on python-2.4 will not be
installable together with ppmtofb, hence the 1591 packages (a full list, with
for every package the dependency path that links it to python is available at
http://www.pps.jussieu.fr/~boender/ppmtofb_conflicts.txt ).

To determine this, we've used a tool that finds strong conflicts in a
distribution, i.e. pairs of packages that are installable separately, but not
together under any circumstances. In this case, ppmtofb is installable, all
the python packages are installable, but they can never be installed together.

The tool groups the conflicts by 'root conflict'; if two packages have a
strong conflict, there is always a 'real' conflict that causes this; in our
case, the conflict between python and ppmtofb. In this way, we can see that
there are 1591 strong conflicts caused by the conflict between python and
ppmtofb.


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 02-19-2009, 12:56 PM
Holger Levsen
 
Default Old bug in ppmtofb is quite important

severity 385209 serious
thanks
 
Old 02-19-2009, 01:45 PM
Adeodato Simó
 
Default Old bug in ppmtofb is quite important

* Jaap Boender [Thu, 19 Feb 2009 13:47:01 +0100]:

Hello, Jaap.

> The explanation: since ppmtofb conflicts with any python version strictly
> higher than 2.4, any package that depends on python-2.4 will not be
> installable together with ppmtofb, hence the 1591 packages (a full list, with
> for every package the dependency path that links it to python is available at
> http://www.pps.jussieu.fr/~boender/ppmtofb_conflicts.txt ).

Thanks for this information. The package just needs to drop the
conflict, it's buggy anyway.

Additionally, maybe the package should be removed altogether (CC'ing
-qa). It has popcon 5, and hasn't seen a real upload for 6 years.

Cheers,

--
Adeodato Simó dato at net.com.org.es
Debian Developer adeodato at debian.org

Don't be irreplaceable, if you can't be replaced, you can't be promoted.


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 03-09-2009, 05:18 AM
Ana Guerrero
 
Default Old bug in ppmtofb is quite important

On Thu, Feb 19, 2009 at 03:45:01PM +0100, Adeodato Simó wrote:
> * Jaap Boender [Thu, 19 Feb 2009 13:47:01 +0100]:
>
> Hello, Jaap.
>
> > The explanation: since ppmtofb conflicts with any python version strictly
> > higher than 2.4, any package that depends on python-2.4 will not be
> > installable together with ppmtofb, hence the 1591 packages (a full list, with
> > for every package the dependency path that links it to python is available at
> > http://www.pps.jussieu.fr/~boender/ppmtofb_conflicts.txt ).
>
> Thanks for this information. The package just needs to drop the
> conflict, it's buggy anyway.
>
> Additionally, maybe the package should be removed altogether (CC'ing
> -qa). It has popcon 5, and hasn't seen a real upload for 6 years.
>

I have filed for removal:

http://bugs.debian.org/518906

Ana


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 05:12 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org